// $Id: Query.java,v 1.1 2002/11/21 16:02:53 mike Exp $

package org.z3950.zoom;
import com.k_int.IR.IRQuery;

/**
 * Represents a query to be submitted to a Z39.50 Server, as described
 * in the ZOOM Abstract API.  This is a placeholder class with no
 * methods at all, since the only thing you can do with a Query is
 * feed it to the Connection class's <CODE>search()</CODE> method.
 *
 * @version	$Id: Query.java,v 1.1 2002/11/21 16:02:53 mike Exp $
 * @see	<A href="http://zoom.z3950.org/api/zoom-1.1.html#3.3"
 *		       >zoom.z3950.org/api/zoom-1.1.html#3.3</A>
 */
public abstract class Query {
    protected Query() {
	/* This private constructor is here in order to prevent
	 * instantiation, and (more to the point) to prevent javadoc
	 * from documenting a default constructor.  Though why it does
	 * that at all for an abstract (=> uninstantiatable) class is
	 * anyone's guess.  Anyway, it doesn't work - javadoc still
	 * bleats on about it.
	 */
    }

    // package visibility: used only by ResultSet._search()
    abstract IRQuery _JZQuery();
}
