// $Id: Record.java,v 1.1 2002/11/21 16:02:53 mike Exp $

package org.z3950.zoom;
import com.k_int.IR.InformationFragment;

/**
 * Represents a records returned from a Z39.50 Server, as described in
 * the ZOOM Abstract API (<B>UNSTABLE</B>).
 * <P>
 * <B>THIS CLASS'S INTERFACE IS UNSTABLE PENDING DISCUSSION ON THE
 * ZOOM MAILING LIST.  DO NOT DEPEND ON IT.</B>
 *
 * @version	$Id: Record.java,v 1.1 2002/11/21 16:02:53 mike Exp $
 * @see	<A href="http://zoom.z3950.org/api/zoom-1.1.html#3.5"
 *		       >zoom.z3950.org/api/zoom-1.1.html#3.5</A>
 */
public class Record { // ### Do we want this to be abstract?
    InformationFragment frag;

    Record(InformationFragment frag) {
	this.frag = frag;
    }

    public int recsyn() {
	// ### how do we handle this polymorphism?
	return 0;
    }

    public int nfields() {
	// ###
	return 1;
    }

    public String field(String spec) {
	return "###field";
    }

    public String render() {
	return frag.toString();
    }

    public byte[] rawdata() {
	return "###rawdata".getBytes();
    }
}
