// $Id: Test.java,v 1.3 2002/11/29 11:19:03 mike Exp $
//
// Simple test of Java binding for ZOOM.

package org.z3950.zoomtest;
import org.z3950.zoom.*;

// ### ZOOM clients shouldn't need to know about these!
import com.k_int.IR.TimeoutExceededException;
import com.k_int.IR.SearchException;

class Test {
    public static void main (String[] args) {
	try {
	    System.out.println("Starting up");
	    Connection conn = new Connection("z3950.indexdata.dk", 210);
	    System.out.println("Made connection");
	    conn.option("databaseName", "gils");
	    conn.option("preferredRecordSyntax", "XML");
	    Query q = new PrefixQuery("@attr 1=4 mineral");
	    ResultSet rs = conn.search(q);
	    System.out.println("Performed search");
	    int size = rs.size();
	    System.out.println("Found " + size + " records");

	    for (int i = 0; i < size; i++) {
		System.out.println("-- record " + (i+1) + "--");
		System.out.println(rs.getRecord(i).render());
	    }

	    System.out.println("Printed all " + size + " records");
	} catch (TimeoutExceededException e) {
	    System.err.println("timeout: " + e);
	} catch (SearchException e) {
	    System.err.println("search failed: " + e);
	} catch (Bib1Exception e) {
	    System.err.println("server diagnostic: " + e);
	}

	// Why does this now not exit?  Left-over threads?
    }
}
